﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using DataAccessClass;
using AjaxControlToolkit;

namespace TeamMSI
{
    public partial class Index : System.Web.UI.Page
    {
        string userID, ThemesName;
        protected void Page_PreInit(object sender, EventArgs e)
        {
            try
            {
                //Set the page theme from cookies
                if (Request.Cookies["ThemeName"] != null)
                {
                    Page.Theme = Request.Cookies["ThemeName"].Value.Trim();
                }
                else
                {
                    Page.Theme = "firsttheme";
                }
                if (!IsPostBack)
                {
                    Panel pnlLogin = (Panel)Master.FindControl("pnlLogin");
                    pnlLogin.Visible = true;
                }

            }
            catch (Exception ex)
            {
                lblError1.Text = ex.Message;
            }
        }
        protected void Page_Load(object sender, EventArgs e)
        {
            try
            {
                UpdatePanel udpnl = (UpdatePanel)Master.FindControl("upnlLogin");
                ModalPopupExtender mdlPopuP = (ModalPopupExtender)Master.FindControl("mdlPopLogin");
                Label lblUserName = (Label)Master.FindControl("lblUserName");
                LinkButton btnLogin = (LinkButton)Master.FindControl("btnLogin");
                LinkButton btnLogOut = (LinkButton)Master.FindControl("lnkLogin");
                Panel pnlLogin = (Panel)Master.FindControl("pnlLogin");
                Label lblAuthError = (Label)udpnl.FindControl("lblAuthError");
#if DEBUG
                userID = "sunu";
                lblError.Text = "<br><font color='Red'><b>This web application is in debug mode - Please notify the IT team immediately</b></font><br>";
                if (userID != null)
                {
#else
                if (Request.Cookies["teammsiuid"] != null && Request.Cookies["teammsiuid"].Value.Trim().ToLower() != "none")
                {
                    userID = Request.Cookies["teammsiuid"].Value.Trim();
#endif

                    string ThemeName = string.Empty;
                    if (!IsPostBack)
                    {
                        if (userID != string.Empty)
                        {
                            //If user logged in
                            btnLogin.Visible = false;
                            pnlLogin.Visible = false;
                            lblUserName.Visible = true;
                            btnLogOut.Visible = true;
                            lblAuthError.Visible = false;
                            lblUserName.Text = "Welcome," + " " + "<font style='text-transform: uppercase;'>" + userID + "</font>";
                            Response.Redirect("Default.aspx");
                        }
                        else
                        {
                            //if user not logged in
                            btnLogin.Visible = true;
                            pnlLogin.Visible = true;
                            lblUserName.Visible = false;
                            btnLogOut.Visible = false;
                            Response.Redirect("index.aspx");
                        }
                    }
                }
                else
                {
                    if (!IsPostBack)
                    {
                        pnlLogin.Visible = true;
                        mdlPopuP.Show(); // Login Modal PopUp

                    }

                    //Announcements details for User
                    GetAnnouncements();
                }
            }
            catch (Exception ex)
            {
                lblError.Text = ex.Message;
            }
        }

        protected void GetAnnouncements()
        {
            try
            {

                DataTable dtAnnouncementAllEmployees = new DataTable();
                DataProvider dp = new DataProvider();
                dp.ConnectionString = ConfigurationManager.ConnectionStrings["conMSI_SQLWeb"].ConnectionString;
                //Get the announcement for common before log in
                dtAnnouncementAllEmployees = (dp.GetDataSetSProc("uspNewMSIAnnouncements_GetAnnouncements_AllEmployees")).Tables[0];


                if (dtAnnouncementAllEmployees.DefaultView.Count > 0)
                {
                    this.lblAnnounce.Visible = false;
                    this.dgAnnounce.DataSource = dtAnnouncementAllEmployees;
                    this.dgAnnounce.DataBind();
                    this.pnlContainerAnnouncement.Visible = true;
                    lbltmMsiCount.Text = dtAnnouncementAllEmployees.Rows.Count.ToString();
                    string s1 = "";

                    for (int i = 0; i < dtAnnouncementAllEmployees.Rows.Count; i++)
                    {
                        s1 += dtAnnouncementAllEmployees.Rows[i][0].ToString() + "&nbsp;&nbsp;";
                    }
                    lblAnnouncescroll.Text = s1.TrimEnd().ToString();
                }
                else
                {
                    this.lblAnnounce.Visible = true;
                    this.lblAnnounce.Text = "<b>No Announcements for Team MSI</b>";
                    this.dgAnnounce.DataSource = null;
                    this.dgAnnounce.DataBind();
                    this.pnlContainerAnnouncement.Visible = false;
                    lbltmMsiCount.Text = "0";
                }




            }
            catch (Exception Ex)
            {
                lblError.Text = "<font color='Red'><b>Exception - Get_Announcements(): " + Ex.Message + "</b></font><br>";
            }
            finally
            {


            }
        }
    }
}